### Method

# GUPnP ServiceProxyAction get_result

#### Declaration [src]

    gboolean
    gupnp_service_proxy_action_get_result (
      GUPnPServiceProxyAction* action,
      GError** error,
      ...
    )

#### Description [src]

Retrieves the result of `action`. The out parameters in `Varargs` will be filled in, and if an error occurred, `error` will be set. In case of an UPnP error the error code will be the same in `error`.

This method is not directly available to language bindings.

#### Parameters

`error`

  Type: `GError`

  The location where to store any error, or `NULL`.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`...`

  Type: ``

  Tuples of out parameter name, out parameter type, and out parameter value location, terminated with `NULL`. The out parameter values should be freed after use.

#### Return value

Type: `gboolean`

`TRUE` on success.